# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-11-22 17:18
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import tinymce.models
import versatileimagefield.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('program', '0011_programslot_remove_is_active'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(max_length=32, verbose_name='Category')),
                ('abbrev', models.CharField(max_length=4, unique=True, verbose_name='Abbreviation')),
                ('slug', models.SlugField(max_length=32, unique=True, verbose_name='Slug')),
                ('button', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image')),
                ('button_hover', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image (hover)')),
                ('big_button', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Big button image')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
                'ordering': ('category',),
            },
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, verbose_name='Language')),
            ],
            options={
                'verbose_name': 'Language',
                'verbose_name_plural': 'Languages',
                'ordering': ('language',),
            },
        ),
        migrations.CreateModel(
            name='RTRCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rtrcategory', models.CharField(max_length=32, verbose_name='RTR Category')),
                ('abbrev', models.CharField(max_length=4, unique=True, verbose_name='Abbreviation')),
                ('slug', models.SlugField(max_length=32, unique=True, verbose_name='Slug')),
            ],
            options={
                'verbose_name': 'RTR Category',
                'verbose_name_plural': 'RTR Categories',
                'ordering': ('rtrcategory',),
            },
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('byweekday', models.IntegerField(choices=[(0, 'Monday'), (1, 'Tuesday'), (2, 'Wednesday'), (3, 'Thursday'), (4, 'Friday'), (5, 'Saturday'), (6, 'Sunday')], verbose_name='Weekday')),
                ('dstart', models.DateField(verbose_name='First date')),
                ('tstart', models.TimeField(verbose_name='Start time')),
                ('tend', models.TimeField(verbose_name='End time')),
                ('until', models.DateField(verbose_name='Last date')),
                ('is_repetition', models.BooleanField(default=False, verbose_name='Is repetition')),
                ('fallback_playlist_id', models.IntegerField(blank=True, null=True, verbose_name='Fallback Playlist ID')),
                ('automation_id', models.IntegerField(blank=True, null=True, verbose_name='Automation ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
            ],
            options={
                'verbose_name': 'Schedule',
                'verbose_name_plural': 'Schedules',
                'ordering': ('dstart', 'tstart'),
            },
        ),
        migrations.CreateModel(
            name='Topic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=32, verbose_name='Topic')),
                ('abbrev', models.CharField(max_length=4, unique=True, verbose_name='Abbreviation')),
                ('slug', models.SlugField(max_length=32, unique=True, verbose_name='Slug')),
                ('button', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image')),
                ('button_hover', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image (hover)')),
                ('big_button', models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Big button image')),
            ],
            options={
                'verbose_name': 'Topic',
                'verbose_name_plural': 'Topics',
                'ordering': ('topic',),
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=32, verbose_name='Type')),
                ('slug', models.SlugField(max_length=32, unique=True, verbose_name='Slug')),
                ('color', models.CharField(default='#ffffff', max_length=7, verbose_name='Color')),
                ('text_color', models.CharField(default='#000000', max_length=7, verbose_name='Text color')),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
            ],
            options={
                'verbose_name': 'Type',
                'verbose_name_plural': 'Types',
                'ordering': ('type',),
            },
        ),
        migrations.AlterUniqueTogether(
            name='programslot',
            unique_together=set([]),
        ),
        migrations.RemoveField(
            model_name='programslot',
            name='rrule',
        ),
        migrations.RemoveField(
            model_name='programslot',
            name='show',
        ),
        migrations.AlterModelOptions(
            name='rrule',
            options={'ordering': ('pk',), 'verbose_name': 'Recurrence rule', 'verbose_name_plural': 'Recurrence rules'},
        ),
        migrations.RemoveField(
            model_name='show',
            name='broadcastformat',
        ),
        migrations.RemoveField(
            model_name='show',
            name='image_enabled',
        ),
        migrations.RemoveField(
            model_name='show',
            name='showinformation',
        ),
        migrations.RemoveField(
            model_name='show',
            name='showtopic',
        ),
        migrations.RemoveField(
            model_name='timeslot',
            name='programslot',
        ),
        migrations.AddField(
            model_name='note',
            name='cba_id',
            field=models.IntegerField(blank=True, null=True, verbose_name='CBA ID'),
        ),
        migrations.AddField(
            model_name='note',
            name='height',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Height'),
        ),
        migrations.AddField(
            model_name='note',
            name='image',
            field=versatileimagefield.fields.VersatileImageField(blank=True, height_field='height', null=True, upload_to='note_images', verbose_name='Featured image', width_field='width'),
        ),
        migrations.AddField(
            model_name='note',
            name='ppoi',
            field=versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20, verbose_name='Image PPOI'),
        ),
        migrations.AddField(
            model_name='note',
            name='slug',
            field=models.SlugField(default=1, max_length=32, unique=True, verbose_name='Slug'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='note',
            name='summary',
            field=tinymce.models.HTMLField(blank=True, verbose_name='Summary'),
        ),
        migrations.AddField(
            model_name='note',
            name='user',
            field=models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='users', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='note',
            name='width',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Width'),
        ),
        migrations.AddField(
            model_name='show',
            name='cba_series_id',
            field=models.IntegerField(blank=True, null=True, verbose_name='CBA Series ID'),
        ),
        migrations.AddField(
            model_name='show',
            name='fallback_pool',
            field=models.CharField(blank=True, max_length=255, verbose_name='Fallback Pool'),
        ),
        migrations.AddField(
            model_name='show',
            name='height',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Height'),
        ),
        migrations.AddField(
            model_name='show',
            name='logo',
            field=models.ImageField(blank=True, null=True, upload_to='show_images', verbose_name='Logo'),
        ),
        migrations.AddField(
            model_name='show',
            name='ppoi',
            field=versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20, verbose_name='Image PPOI'),
        ),
        migrations.AddField(
            model_name='show',
            name='width',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Width'),
        ),
        migrations.AddField(
            model_name='timeslot',
            name='is_repetition',
            field=models.BooleanField(default=False, verbose_name='WH'),
        ),
        migrations.AddField(
            model_name='timeslot',
            name='memo',
            field=models.TextField(blank=True, verbose_name='Memo'),
        ),
        migrations.AlterField(
            model_name='musicfocus',
            name='big_button',
            field=models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Big button image'),
        ),
        migrations.AlterField(
            model_name='musicfocus',
            name='button',
            field=models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image'),
        ),
        migrations.AlterField(
            model_name='musicfocus',
            name='button_hover',
            field=models.ImageField(blank=True, null=True, upload_to='buttons', verbose_name='Button image (hover)'),
        ),
        migrations.AlterField(
            model_name='note',
            name='show',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='program.Show'),
        ),
        migrations.AlterField(
            model_name='show',
            name='image',
            field=versatileimagefield.fields.VersatileImageField(blank=True, height_field='height', null=True, upload_to='show_images', verbose_name='Image', width_field='width'),
        ),
        migrations.AlterField(
            model_name='timeslot',
            name='start',
            field=models.DateTimeField(verbose_name='Start time'),
        ),
        migrations.DeleteModel(
            name='BroadcastFormat',
        ),
        migrations.DeleteModel(
            name='ProgramSlot',
        ),
        migrations.DeleteModel(
            name='ShowInformation',
        ),
        migrations.DeleteModel(
            name='ShowTopic',
        ),
        migrations.AddField(
            model_name='schedule',
            name='rrule',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schedules', to='program.RRule', verbose_name='Recurrence rule'),
        ),
        migrations.AddField(
            model_name='schedule',
            name='show',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schedules', to='program.Show', verbose_name='Show'),
        ),
        migrations.AddField(
            model_name='show',
            name='category',
            field=models.ManyToManyField(blank=True, related_name='shows', to='program.Category', verbose_name='Category'),
        ),
        migrations.AddField(
            model_name='show',
            name='language',
            field=models.ManyToManyField(blank=True, related_name='language', to='program.Language', verbose_name='Language'),
        ),
        migrations.AddField(
            model_name='show',
            name='rtrcategory',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='shows', to='program.RTRCategory', verbose_name='RTR Category'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='show',
            name='topic',
            field=models.ManyToManyField(blank=True, related_name='shows', to='program.Topic', verbose_name='Topic'),
        ),
        migrations.AddField(
            model_name='show',
            name='type',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='shows', to='program.Type', verbose_name='Type'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='timeslot',
            name='schedule',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='timeslots', to='program.Schedule', verbose_name='Schedule'),
            preserve_default=False,
        ),
    ]
